net.minecraft.world.gen.structure

## Class StructureVillagePieces.Road

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.StructureVillagePieces.Village
    - - net.minecraft.world.gen.structure.StructureVillagePieces.Road

- Direct Known Subclasses:
    StructureVillagePieces.Path
  Enclosing class:
    StructureVillagePieces

      public abstract static class StructureVillagePieces.Road
      extends StructureVillagePieces.Village

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.world.gen.structure.StructureComponent

      `StructureComponent.BlockSelector`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureVillagePieces.Village

      `field_143015_k`

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureComponent

      `boundingBox, componentType, coordBaseMode`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `StructureVillagePieces.Road()`
    `protected` | `StructureVillagePieces.Road(StructureVillagePieces.Start par1ComponentVillageStartPiece, int par2)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureVillagePieces.Village

      `canVillageGoDeeper, fillWithBlocks, func_143011_b, func_143012_a, func_151554_b, func_151557_c, func_151558_b, getAverageGroundLevel, getNextComponentNN, getNextComponentPP, getVillagerType, placeBlockAtCurrentPosition, spawnVillagers`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `addComponentParts, buildComponent, clearCurrentPositionBlocksUpwards, fillWithAir, fillWithMetadataBlocks, fillWithRandomizedBlocks, findIntersecting, func_143009_a, func_143010_b, func_151547_a, func_151552_a, func_151553_a, generateStructureChestContents, generateStructureDispenserContents, getBlockAtCurrentPosition, getBoundingBox, getComponentType, getMetadataWithOffset, getXWithOffset, getYWithOffset, getZWithOffset, isLiquidInStructureBoundingBox, placeDoorAtCurrentPosition, randomlyFillWithBlocks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructureVillagePieces.Road

          public StructureVillagePieces.Road()

    - #### StructureVillagePieces.Road

          protected StructureVillagePieces.Road(StructureVillagePieces.Start par1ComponentVillageStartPiece,
                                     int par2)